#!/bin/sh

# emssh.sh v.0.2
# ssh example for empty
# Though, don't really know who wants to use empty for ssh :)
# Copyright (C) 2005, Mikhail E. Zakharov
#

ssh="ssh"				# (/full/path/to/)ssh
target="localhost"			# target host
login="user"				# username (Change it!)
password="topsecret"			# password (Change it!)

fifo_in="/tmp/empty.in"			# input fifo
fifo_out="/tmp/empty.out"		# output

# -----------------------------------------------------------------------------
cmd="$ssh $login@$target"
tmp="/tmp/empty.tmp"			# tempfile to store results

echo "Starting empty"
empty -f -i $fifo_in -o $fifo_out $cmd
if [ $? = 0 ]; then
#	sleep 1				# We needn't this sleep() anymore.
					# Since v.0.5.10 the system
					# creates all I/O fifos intime
	if [ -w $fifo_in -a -r $fifo_out ]; then
		# NB! Since v.0.5.10 the flag "-t" changed
		# its meaning. See manual page for details
		echo "Sending Password"
		empty -w -i $fifo_out -o $fifo_in -t 5 assword: $password
		echo "Sending tests"
		empty -s -o $fifo_in "echo \"-- EMPTY TEST BEGIN --\" > $tmp"
		empty -s -o $fifo_in "uname -a >> $tmp"
		empty -s -o $fifo_in "uptime >> $tmp"
		empty -s -o $fifo_in "who am i >> $tmp"
		empty -s -o $fifo_in "echo \"-- EMPTY TEST END --\" >> $tmp"
		echo "Sending exit"
		empty -s -o $fifo_in 'exit'
		echo "Check results:"
		sleep 1
		cat $tmp
		rm $tmp
	else
		echo "Error: Can't find I/O fifos!"
	fi
else
	echo "Error: Can't start empty in daemon mode"
fi

echo "Done"
