#!/bin/sh

# emsu.sh v.0.2 
# su example for empty
# Copyright (C) 2005, Mikhail E. Zakharov
#

password="rootspasswd"			# password (Change it!)

fifo_in="/tmp/empty.in"			# input fifo
fifo_out="/tmp/empty.out"		# output

# -----------------------------------------------------------------------------
tmp="/tmp/empty.tmp"			# tempfile to store results

echo "Starting empty"
empty -f -i $fifo_in -o $fifo_out su 
if [ $? = 0 ]; then
#	sleep 1			# We needn't this sleep() anymore.
				# Since v.0.5.10 the system
				# creates all I/O fifos intime
	if [ -w $fifo_in -a -r $fifo_out ]; then
		echo "Sending Password"
		# NB! Since v.0.5.10 the flag "-t" changed
		# its meaning. See manual page for details
		empty -w -i $fifo_out -o $fifo_in -t 5 assword: $password
		echo "Sending tests"
		empty -s -o $fifo_in "echo \"-- EMPTY TEST BEGIN --\" > $tmp"
		empty -s -o $fifo_in "who am i >> $tmp"
		empty -s -o $fifo_in "id >> $tmp"
		empty -s -o $fifo_in "echo \"-- EMPTY TEST END --\" >> $tmp"
		echo "Sending exit"
		empty -s -o $fifo_in 'exit'
		echo "Check results:"
		sleep 1
		cat $tmp
	else
		echo "Error: Can't find I/O fifos!"
	fi
else
	echo "Error: Can't start empty in daemon mode"
fi

echo "Done"
