#!/bin/sh

# emtelnet.sh v.0.2 
# telnet example for empty
# Copyright (C) 2005, Mikhail E. Zakharov
#

telnet="telnet"				# (/full/path/to/)telnet
target="localhost"			# target telnet-host
login="user" 				# username (Change it!)
password="topsecret"			# password (Change it!)

fifo_in="/tmp/empty.in"			# input fifo
fifo_out="/tmp/empty.out"		# output

# telnet command examples. Chose one:
telnet_cmd="$telnet -K $target"		# connect FreeBSD from FreeBSD (SRA)
#telnet_cmd="$telnet $target"		# All other OSes

# -----------------------------------------------------------------------------
tmp="/tmp/empty.tmp"			# tempfile to store result

echo "Starting empty"
empty -f -i $fifo_in -o $fifo_out $telnet_cmd
if [ $? = 0 ]; then
#	sleep 1			# We needn't this sleep() anymore.
				# Since v.0.5.10 the system 
				# creates all I/O fifos intime
	if [ -w $fifo_in -a -r $fifo_out ]; then
		echo "Sending Login"
		# NB! Since v.0.5.10 the flag "-t" changed
		# its meaning. See manual page for details
		empty -w -i $fifo_out -o $fifo_in -t 5 ogin: $login
		echo "Sending Password"
		empty -w -i $fifo_out -o $fifo_in -t 5 assword: $password
		echo "Sending tests"
		empty -s -o $fifo_in "echo \"-- EMPTY TEST BEGIN --\" > $tmp"
		empty -s -o $fifo_in "uname -a >> $tmp"
		empty -s -o $fifo_in "uptime >> $tmp"
		empty -s -o $fifo_in "who am i >> $tmp"
		empty -s -o $fifo_in "echo \"-- EMPTY TEST END --\" >> $tmp"
		echo "Sending exit"
		empty -s -o $fifo_in 'exit'
		echo "Check results:"
		sleep 1
		cat $tmp
		rm $tmp
	else
		echo "Error: Can't find I/O fifos!"
	fi
else
	echo "Error: Can't start empty in daemon mode"
fi

echo "Done"
